 #  (C) Copyright 2001-2014, Toshiba Global Commerce Solutions, Inc
 #  All right reserved.
 #
 #  This program is free software; you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License as published by
 #  the Free Software Foundation; either version 2 of the License, or
 #  (at your option) any later version.
 #
 #  This program is distributed in the hope that it will be useful,
 #  but WITHOUT ANY WARRANTY; without even the implied warranty of
 #  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 #  GNU General Public License for more details.
 #
 #  You should have received a copy of the GNU General Public License along
 #  with this program; if not, write to the Free Software Foundation, Inc.,
 #  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA; Otherwise,
 #  see <http://www.gnu.org/licenses/>.
 #
 # Should you need to contact me, the author, you can do so either by
 # e-mail - mail your message to <garmentrout@toshibagcs.com>.

# norootforbuild

Name:             toshiba-poss-suse12
Version:          11.4.0
Release:          29.1
Group:            System/Kernel
Summary:          Toshiba Point of Sale Subsystem for Linux Kernel Modules Package
License:          GPL-2.0
Url:              http://www.toshibacommerce.com
Source0:          toshiba-poss-suse12-11.4.0-26.tar.bz2
Source1:          Module.supported
BuildRoot:        %{_tmppath}/%{name}-%{version}-build
BuildRequires:    %kernel_module_package_buildreqs
%kernel_module_package -p %_sourcedir/preamble -x xen

%description 
The Toshiba Point of Sale Subsystem kernel modules provide support for accessing
Toshiba Point-of-Sale I/O devices.

%package KMP
Summary:          Toshiba Point of Sale Subsystem for Linux Kernel Modules
Group:            System/Kernel

%description KMP
The Toshiba Point of Sale Subsystem kernel modules provide support for accessing
Toshiba Point-of-Sale I/O devices.

%prep 
%setup
cp %_sourcedir/Module.supported Module.supported
set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
        rm -rf obj/$flavor
        cp -r source obj/$flavor
        make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
                M=$PWD/obj/$flavor
done


%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates/Toshiba/pos
for flavor in %flavors_to_build; do
        make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
                M=$PWD/obj/$flavor
done

%changelog
* Thu Apr 25 2019 drahn@suse.com
- - Initial SolidDriver build of version 11.3.0
  * Update License tag to match license provided in source.
  * Remove obsoletes for base package since there is no base package built
  * Add preamble for proper obsoletes of the previous kmp packages
  * Remove COPYING file from toplevel since it is included in source tarfile
